Skip to main content
GET
/
time-off-types
List time off types
curl --request GET \
  --url https://www.ruddr.io/api/workspace/time-off-types \
  --header 'Authorization: Bearer <token>'
{
  "results": [
    {
      "id": "7c3a1d82-4f9e-4b6c-a2d5-1e8f03c947b6",
      "name": "Vacation",
      "isActive": true,
      "isPaid": true,
      "createdAt": "2025-03-12T14:22:37.891Z"
    }
  ],
  "hasMore": false
}
A category of time off that members can log, such as vacation or sick leave.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

startingAfter
string

A cursor ID (uuid) used to request the next page of results. If not provided, defaults to the first page of results.

endingBefore
string

A cursor ID (uuid) used to request the previous page of results. Is mutually exclusive with startingAfter.

limit
integer<int32>

The maximum number of results to be returned. Can be any number from 1 to 100. Defaults to 10, if not provided.

name
string

Filter by name when it exactly matches the provided keyword.

Response

200

results
object[]
hasMore
boolean

Whether there are more results available after this page.